--- old/usr/src/uts/intel/Makefile.files	Wed Oct  5 00:32:39 2016
+++ new/usr/src/uts/intel/Makefile.files	Wed Oct  5 00:32:39 2016
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2013, Joyent, Inc. All rights reserved.
+# Copyright 2016, Joyent, Inc.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -36,6 +36,7 @@
 #
 CORE_OBJS +=		\
 	arch_kdi.o	\
+	comm_page_util.o \
 	copy.o		\
 	copy_subr.o	\
 	cpc_subr.o	\
@@ -100,7 +101,31 @@
 #
 CORE_OBJS +=		\
 	prmachdep.o
+ 
+LX_CGROUP_OBJS +=	\
+	cgrps_node.o	\
+	cgrps_vfsops.o	\
+	cgrps_vnops.o
 
+LX_DEVFS_OBJS +=	\
+	lxd_attrdb.o	\
+	lxd_node.o	\
+	lxd_vfsops.o	\
+	lxd_vnops.o
+
+LX_PROC_OBJS +=	\
+	lx_prsubr.o	\
+	lx_prvfsops.o	\
+	lx_prvnops.o
+
+LX_SYS_OBJS +=	\
+	lx_syssubr.o	\
+	lx_sysvfsops.o	\
+	lx_sysvnops.o
+
+LX_AUTOFS_OBJS +=	\
+	lx_autofs.o
+
 #
 #	ZFS file system module
 #
@@ -264,6 +289,65 @@
 #
 SN1_BRAND_OBJS	=	sn1_brand.o sn1_brand_asm.o
 S10_BRAND_OBJS	=	s10_brand.o s10_brand_asm.o
+LX_BRAND_OBJS  =		\
+	lx_access.o		\
+	lx_aio.o		\
+	lx_archdep.o		\
+	lx_auxv.o		\
+	lx_brand.o		\
+	lx_brk.o		\
+	lx_chmod.o		\
+	lx_chown.o		\
+	lx_clone.o		\
+	lx_close.o		\
+	lx_cpu.o		\
+	lx_dup.o		\
+	lx_errno.o		\
+	lx_epoll.o		\
+	lx_fadvise.o		\
+	lx_fallocate.o		\
+	lx_fcntl.o		\
+	lx_futex.o		\
+	lx_getcwd.o		\
+	lx_getdents.o		\
+	lx_getpid.o		\
+	lx_getrandom.o		\
+	lx_id.o			\
+	lx_ioctl.o		\
+	lx_ioprio.o		\
+	lx_kill.o		\
+	lx_link.o		\
+	lx_lseek.o		\
+	lx_misc.o		\
+	lx_miscsys.o		\
+	lx_mkdir.o		\
+	lx_modify_ldt.o		\
+	lx_mount.o		\
+	lx_open.o		\
+	lx_personality.o	\
+	lx_pgrp.o		\
+	lx_pid.o		\
+	lx_pipe.o		\
+	lx_poll.o		\
+	lx_prctl.o		\
+	lx_ptrace.o		\
+	lx_rename.o		\
+	lx_rlimit.o		\
+	lx_rw.o			\
+	lx_sched.o		\
+	lx_signal.o		\
+	lx_signum.o		\
+	lx_socket.o		\
+	lx_stat.o		\
+	lx_sync.o		\
+	lx_syscall.o		\
+	lx_sysinfo.o		\
+	lx_thread_area.o	\
+	lx_timer.o		\
+	lx_umask.o		\
+	lx_uname.o		\
+	lx_wait.o		\
+	lx_xattr.o
 
 #
 #	special files
--- old/usr/src/uts/intel/Makefile.intel	Wed Oct  5 00:32:39 2016
+++ new/usr/src/uts/intel/Makefile.intel	Wed Oct  5 00:32:39 2016
@@ -46,6 +46,7 @@
 #
 UNIX_DIR	 = $(UTSBASE)/i86pc/unix
 GENLIB_DIR	 = $(UTSBASE)/intel/genunix
+GENASSYM_DIR	 = $(UTSBASE)/intel/genassym
 IPDRV_DIR	 = $(UTSBASE)/intel/ip
 MODSTUBS_DIR	 = $(UNIX_DIR)
 DSF_DIR		 = $(UTSBASE)/$(PLATFORM)/genassym
@@ -139,6 +140,7 @@
 ASFLAGS_XARCH		= $(ASFLAGS_XARCH_$(CLASS))
 
 ASFLAGS			+= $(ASFLAGS_XARCH)
+AS_INC_PATH		+= -I$(GENASSYM_DIR)/$(OBJS_DIR)
 
 #
 #	Define the base directory for installation.
@@ -253,6 +255,7 @@
 DRV_KMODS	+= i915
 DRV_KMODS	+= icmp
 DRV_KMODS	+= icmp6
+DRV_KMODS	+= inotify
 DRV_KMODS	+= intel_nb5000
 DRV_KMODS	+= intel_nhm
 DRV_KMODS	+= ip
@@ -364,6 +367,7 @@
 DRV_KMODS	+= xge
 DRV_KMODS	+= yge
 DRV_KMODS	+= zcons
+DRV_KMODS	+= zfd
 DRV_KMODS	+= zyd
 DRV_KMODS	+= simnet
 DRV_KMODS	+= stmf
@@ -516,7 +520,8 @@
 #
 #	Brand modules
 #
-BRAND_KMODS	+= sn1_brand s10_brand
+BRAND_KMODS	+= sn1_brand s10_brand lx_brand
+DRV_KMODS	+= lx_systrace lx_ptm lx_netlink
 
 #
 #	Exec Class Modules (/kernel/exec):
@@ -532,9 +537,9 @@
 #	File System Modules (/kernel/fs):
 #
 FS_KMODS	+= autofs ctfs dcfs dev devfs fdfs fifofs hsfs lofs
-FS_KMODS	+= mntfs namefs nfs objfs zfs zut
-FS_KMODS	+= pcfs procfs sockfs specfs tmpfs udfs ufs sharefs
-FS_KMODS	+= smbfs bootfs
+FS_KMODS	+= lxautofs lx_proc mntfs namefs nfs objfs zfs zut
+FS_KMODS	+= pcfs procfs sockfs specfs tmpfs udfs ufs sharefs lx_sysfs
+FS_KMODS	+= smbfs bootfs lx_cgroup lx_devfs
 
 #
 #	Streams Modules (/kernel/strmod):
--- old/usr/src/uts/intel/bpf/Makefile	Wed Oct  5 00:32:39 2016
+++ new/usr/src/uts/intel/bpf/Makefile	Wed Oct  5 00:32:39 2016
@@ -60,7 +60,7 @@
 #
 #
 CFLAGS		+= $(CCVERBOSE)
-LDFLAGS		+= -dy -Nmisc/mac -Nmisc/dls -Ndrv/ipnet -Nmisc/neti
+LDFLAGS		+= -dy -Nmisc/mac -Nmisc/dls -Ndrv/ipnet -Nmisc/neti -Ndrv/ip
 INC_PATH	+= -I$(UTSBASE)/common/io/bpf
 
 #
--- old/usr/src/uts/intel/brand/common/brand_asm.h	Wed Oct  5 00:32:39 2016
+++ new/usr/src/uts/intel/brand/common/brand_asm.h	Wed Oct  5 00:32:39 2016
@@ -161,7 +161,7 @@
 
 #define	GET_P_BRAND_DATA(sp, pcnt, reg)					\
 	GET_PROCP(sp, pcnt, reg);					\
-	mov	P_BRAND_DATA(reg), reg		/* get p_brand_data */
+	mov	__P_BRAND_DATA(reg), reg	/* get p_brand_data */
 
 /*
  * Each of the following macros returns to the standard syscall codepath if
